import Drawer               from "@components/core/Drawer";
import Footer               from '@components/core/Footer';

import Link from 'next/link';
import '@styles/quotes.css';

import { ComicFont } from '@fonts'



import dmetadata from '@metadata.json'

export const metadata = {
  title: 'Football Quotes - Share and Download Quotes from Players and Managers - '+dmetadata.name,
  description: 'Explore inspiring quotes from football players and managers. Share and download your favorite quotes. Find motivation and insight from football`s finest.',
}


export default function Layout({
  children,
}) {
  return (
    <section className={ComicFont.className+" flex flex-col"} style={{minHeight:'100vh'}} >
      
				<header className="hidden">
        <h1>Football Quotes - Share and Download</h1>
				</header>
				<div className="hidden">
				    <div>
            <h2>Player Quotes</h2>
            <p>Discover the wisdom, inspiration, and humor from your favorite football players. Share and download quotes that reflect the player's perspective on the game.</p>
				    </div>
				    <div>
            <h2>Manager Quotes</h2>
            <p>Gain insight into the minds of football managers. Explore quotes that reveal their strategies, leadership, and passion for the sport. Share and download to stay motivated.</p>
				    </div>
				</div>
      <Drawer/>
      		<section className="text-base-content container m-auto mx-2 sm:mx-auto py-4 h-full w-auto">
						<div className=" space-y-4 flex flex-col items-center conten-center justify-evenly sm:justify-between min-h-[80vh]">
							<h1 className="text-3xl font-extrabold container m-auto sm:mx-auto mx-2 my-12 text-center">Words of Football: Inspiring Quotes to Elevate Your Passion</h1>
							<div className="flex flex-wrap flex-row container items-center content-center justify-center m-auto w-auto">
								<Link href='/quotes' className="btn sm:btn-md btn-sm m-2 btn-primary">Random Quotes</Link>
								<Link href='/quotes/players' className="btn sm:btn-md m-2 btn-sm btn-secondary">Players Quotes</Link>
								<Link href='/quotes/coaches' className="btn sm:btn-md m-2 btn-sm btn-accent ">Managers Quotes</Link>
							</div>
      				{children}
      			</div>
      		</section>
			<Footer/>
    </section>
  )
}
